import type { SetupOpts } from './types';
import * as abr from './resources/abr';
import * as agedCare from './resources/aged-care';
import * as applePay from './resources/applePay';
import * as accounts from './resources/accounts';
import * as actions from './resources/actions';
import * as apiKeys from './resources/api-keys';
import * as attachments from './resources/attachments';
import * as auth from './resources/auth';
import * as applications from './resources/applications';
import * as blacklist from './resources/blacklist';
import * as bulkUploads from './resources/bulk-uploads';
import * as bulkSubmits from './resources/bulk-submits';
import * as businessProfiles from './resources/business-profiles';
import * as businesses from './resources/businesses';
import * as claimItems from './resources/claim-items';
import * as devices from './resources/devices';
import * as docAccounts from './resources/doc-accounts';
import * as documents from './resources/documents';
import * as emailLogs from './resources/business-email-log';
import * as emails from './resources/emails';
import * as filterOptions from './resources/filter-options';
import * as formApplicationTemplates from './resources/form-application-templates';
import * as formApplications from './resources/form-applications';
import * as forms from './resources/forms';
import * as funders from './resources/funders';
import * as funderServices from './resources/funder-services';
import * as funderSettings from './resources/funder-settings';
import * as funderValues from './resources/funder-values';
import * as futures from './resources/futures';
import * as healthFundAccounts from './resources/health-fund-accounts';
import * as healthFundSettings from './resources/health-fund-settings';
import * as healthfunds from './resources/healthfunds';
import * as icare from './resources/icare';
import * as icdItems from './resources/icditems';
import * as invoiceScans from './resources/invoice-scans';
import * as jhcs from './resources/jhcs';
import * as kyc from './resources/kyc';
import * as logs from './resources/logs';
import * as members from './resources/members';
import * as messageMappings from './resources/message-mappings';
import * as minions from './resources/minions';
import * as modalities from './resources/modalities';
import * as notes from './resources/notes';
import * as onboardingApplications from './resources/onboarding-applications';
import * as onboardingRequests from './resources/onboarding-requests';
import * as ops from './resources/ops';
import * as organisations from './resources/organisations';
import * as partners from './resources/partners';
import * as patients from './resources/patients';
import * as payments from './resources/payments';
import * as pms from './resources/pms';
import * as practiceProfiles from './resources/practice-profiles';
import * as practices from './resources/practices';
import * as practiceTypes from './resources/practice-types';
import * as products from './resources/products';
import * as professionalCategories from './resources/professional-categories';
import * as providerRequests from './resources/provider-requests';
import * as providerRegistrationTypes from './resources/provider-registration-types';
import * as providerNumberTypes from './resources/provider-number-types';
import * as providerTypes from './resources/provider-types';
import * as qbe from './resources/qbe';
import * as refSources from './resources/ref-sources';
import * as risk from './resources/risk';
import * as rnas from './resources/rnas';
import * as roles from './resources/roles';
import * as s3Files from './resources/s3-files';
import * as selfCheckoutSessions from './resources/self-checkout-sessions';
import * as services from './resources/services';
import * as settlements from './resources/settlements';
import * as signUp from './resources/sign-up';
import * as specialties from './resources/specialties';
import * as staffProfiles from './resources/staff-profiles';
import * as staff from './resources/staff';
import * as statistics from './resources/statistics';
import * as subscriptions from './resources/subscriptions';
import * as terminals from './resources/terminals';
import * as transactionExport from './resources/transaction-export';
import * as transactionReports from './resources/transaction-reports';
import * as transactions from './resources/transactions';
import * as triggers from './resources/triggers';
import * as vendors from './resources/vendors';
import * as verify from './resources/verify';
import * as workers from './resources/workers';
import * as workflowExceptions from './resources/workflow-exceptions';
import * as aws from './services/aws';
import * as versions from './services/version';
import * as applicationUtils from './utils/application';
import * as professionsUtils from './utils/professions';
import * as staffUtils from './utils/staff';
export declare const APP_ID = "web-application";
export declare const API_VER = "0.82.0";
export declare const API_VERSIONS: {
    core: string;
    risk: string;
};
export declare const CONTENT_TYPE = "application/json";
export declare const DEFAULT_ENV = "prod";
export declare const DEFAULT_REGION = "au";
export declare const DEFAULT_VERSION = "v1";
export declare const HEADER__APP_ID = "x-appid";
export declare const HEADER__APP_VERSION = "x-appver";
export declare const HEADER__API_VER = "x-apiver";
export declare const HEADER__DEVICE_ID = "x-deviceid";
export declare const HEADER__INTERCOM_HASH = "x-intercom-hash";
export declare const HEADER__SDK_VERSION = "x-sdkver";
export declare const HEADER__TOKEN = "x-token";
export declare const _isTokenExpired: (token: string) => boolean;
declare const sdkClient: {
    account: any;
    accountId: any;
    apiVersions: {
        core: string;
        risk: string;
    };
    appId: string;
    appVersion: any;
    apiVer: string;
    axios: import("axios").AxiosInstance;
    baseUrls: undefined;
    defaultVersion: string;
    device: any;
    env: string;
    hasInit: boolean;
    intercomHash: any;
    isSuperAdmin: any;
    isReadOnlyAdmin: any;
    isAnalyticsInitialised: boolean;
    member: any;
    requestInterceptor: undefined;
    requestInterceptorSuccess: undefined;
    sdkVersion: any;
    tokens: any;
    abr: typeof abr;
    agedCare: typeof agedCare;
    applePay: typeof applePay;
    accounts: typeof accounts;
    actions: typeof actions;
    apiKeys: typeof apiKeys;
    attachments: typeof attachments;
    auth: typeof auth;
    applications: typeof applications;
    blacklist: typeof blacklist;
    bulkUploads: typeof bulkUploads;
    bulkSubmits: typeof bulkSubmits;
    businessProfiles: typeof businessProfiles;
    businesses: typeof businesses;
    claimItems: typeof claimItems;
    devices: typeof devices;
    docAccounts: typeof docAccounts;
    documents: typeof documents;
    emailLogs: typeof emailLogs;
    emails: typeof emails;
    filterOptions: typeof filterOptions;
    formApplicationTemplates: typeof formApplicationTemplates;
    formApplications: typeof formApplications;
    forms: typeof forms;
    funders: typeof funders;
    funderServices: typeof funderServices;
    funderSettings: typeof funderSettings;
    funderValues: typeof funderValues;
    futures: typeof futures;
    healthFundAccounts: typeof healthFundAccounts;
    healthFundSettings: typeof healthFundSettings;
    healthfunds: typeof healthfunds;
    icare: typeof icare;
    icdItems: typeof icdItems;
    invoiceScans: typeof invoiceScans;
    jhcs: typeof jhcs;
    kyc: typeof kyc;
    logs: typeof logs;
    members: typeof members;
    messageMappings: typeof messageMappings;
    minions: typeof minions;
    modalities: typeof modalities;
    notes: typeof notes;
    onboardingApplications: typeof onboardingApplications;
    onboardingRequests: typeof onboardingRequests;
    ops: typeof ops;
    organisations: typeof organisations;
    partners: typeof partners;
    patients: typeof patients;
    payments: typeof payments;
    pms: typeof pms;
    practiceProfiles: typeof practiceProfiles;
    practices: typeof practices;
    practiceTypes: typeof practiceTypes;
    products: typeof products;
    professionalCategories: typeof professionalCategories;
    providerRequests: typeof providerRequests;
    providerRegistrationTypes: typeof providerRegistrationTypes;
    providerNumberTypes: typeof providerNumberTypes;
    providerTypes: typeof providerTypes;
    qbe: typeof qbe;
    refSources: typeof refSources;
    risk: typeof risk;
    rnas: typeof rnas;
    roles: typeof roles;
    s3Files: typeof s3Files;
    selfCheckoutSessions: typeof selfCheckoutSessions;
    settlements: typeof settlements;
    services: typeof services;
    signUp: typeof signUp;
    specialties: typeof specialties;
    staffProfiles: typeof staffProfiles;
    staff: typeof staff;
    statistics: typeof statistics;
    subscriptions: typeof subscriptions;
    terminals: typeof terminals;
    transactionExport: typeof transactionExport;
    transactionReports: typeof transactionReports;
    transactions: typeof transactions;
    triggers: typeof triggers;
    vendors: typeof vendors;
    verify: typeof verify;
    workflowExceptions: typeof workflowExceptions;
    workers: typeof workers;
    aws: typeof aws;
    versions: typeof versions;
    professionsUtils: typeof professionsUtils;
    staffUtils: typeof staffUtils;
    applicationUtils: typeof applicationUtils;
    storage: {
        clearAll: (opts?: import("./services/storage").CommonOpts) => void;
        remove: (key: string, opts?: import("./services/storage").CommonOpts) => void;
        get: (key: string, opts?: import("./services/storage").CommonOpts) => any;
        set: (key: string, val: any, opts?: import("./services/storage").SetOpts) => void;
        onboardingStatus: {
            get: () => any;
            set: (value: any, opts?: import("./services/storage").SetOpts | undefined) => void;
            remove: () => void;
        };
        previousCreatePHITransactionFormValues: {
            get: () => any;
            set: (value: any, opts?: import("./services/storage").SetOpts | undefined) => void;
            remove: () => void;
        };
    };
    /**
     * Setup the Tyro Health SDK
     * @param {String} env - The environment that the SDK will point to
     * @param {?Object} opts - Additional setup options
     */
    setup(env?: string, opts?: SetupOpts): void;
    setConfig(opts: SetupOpts): void;
    setSDKAppVersion(version: string): void;
    /**
     * Check if the token is valid and the client is logged in
     * @return {Boolean} hasValidSession
     */
    hasValidSession(tokenType?: string): any;
    /**
     * Check if the token has expired
     * @return {Boolean} hasSessionExpired
     */
    hasSessionExpired(tokenType?: string): any;
    /**
     * Set the HTTP request interceptor - will intercept every HTTP request that the Tyro Health SDK uses.
     * @param {Object} headers - Headers to be included in every request
     */
    setRequestInterceptor(headers: Record<string, any>): void;
    /**
     * Set the HTTP response interceptor - will intercept every HTTP response that the Tyro Health SDK uses.
     */
    setResponseInterceptor(): void;
    clearTokens(): void;
    isImpersonating(): boolean;
    getTokenExpiry(tokenType?: string): any;
    setToken(token: string, tokenType?: string): void;
    setAccount(account: Record<string, any>): void;
    setMember(member: Record<string, any>): void;
    setRegion(region: string): void;
    /**
     * Kill the SDK - stop interceptors, clear class properties, clear local storage
     */
    stop(): void;
    removeStorage(): void;
    setIsAnalyticsInitialised(isInitialised: boolean): void;
};
export default sdkClient;
export * from './types';
export { sdkClient, abr, applePay, accounts, actions, apiKeys, attachments, auth, applications, blacklist, bulkUploads, bulkSubmits, businessProfiles, businesses, claimItems, devices, docAccounts, documents, emailLogs, emails, filterOptions, formApplicationTemplates, formApplications, forms, funders, funderServices, funderSettings, funderValues, futures, healthFundAccounts, healthFundSettings, healthfunds, icdItems, invoiceScans, jhcs, kyc, logs, members, messageMappings, minions, modalities, notes, onboardingApplications, onboardingRequests, ops, organisations, partners, patients, payments, pms, practiceProfiles, practices, practiceTypes, products, professionalCategories, providerRequests, providerRegistrationTypes, providerNumberTypes, providerTypes, refSources, risk, rnas, roles, selfCheckoutSessions, services, settlements, signUp, specialties, staffProfiles, staff, statistics, subscriptions, terminals, transactionExport, transactions, triggers, vendors, verify, workers, workflowExceptions, aws, versions, professionsUtils, staffUtils, applicationUtils };
