import type { MedipassRequestOpts, PaginatedResponse } from '../types';
import type * as agedCareTypes from '../types/aged-care';
export * from '../types/aged-care';
export declare const pathGetCareRecipientDetails: (careRecipientId: string) => string;
export declare const pathSearchCareRecipients: () => string;
export declare const pathGetServiceProviderDetails: (serviceProviderId: string) => string;
export declare const pathCreateDraftInvoice: () => string;
export declare const pathGetServices: () => string;
export declare const pathOnboard: () => string;
export declare const pathRegisteredProviders: (registeredProviderId: string) => string;
export declare const pathGetServiceProviderAccountSummary: (serviceProviderId: string) => string;
export declare const pathGetClaims: (businessId: string) => string;
export declare const pathGetClaim: (claimId: string) => string;
export declare const pathGetPaymentStatement: () => string;
export declare const pathUploadUrl: () => string;
export declare const pathInvoiceItemAttachment: (invoiceId: string, itemId: string) => string;
export declare const pathGetTransactionFiles: (transactionId: string) => string;
export declare const pathGetInvoice: (invoiceId: string) => string;
export declare const pathPaymentItemsReport: () => string;
export declare const pathCreateEnteralFeedingSupplementAttachment: (supplementId: string) => string;
export declare const pathCreateOxygenSupplementAttachment: (supplementId: string) => string;
export declare const pathGetIndividualContributions: () => string;
export declare const pathGetCareRecipientBudgets: (careRecipientId: string) => string;
export declare const pathGetServiceProviderBudgets: (serviceProviderId: string) => string;
export declare const pathGetBudgetDetails: (budgetId: string) => string;
export declare const pathGetEnteralFeedingSupplementDetails: (supplementId: string) => string;
export declare const pathEnteralFeedingSupplements: () => string;
export declare const pathOxygenSupplements: () => string;
export declare const pathOxygenSupplement: (supplementId: string) => string;
export declare const pathEnteralFeedingSupplement: (supplementId: string) => string;
export declare const pathUpdateEnteralFeedingSupplementEndDate: () => string;
export declare const pathUpdateOxygenSupplementEndDate: () => string;
export declare const pathEntries: () => string;
export declare const pathEntry: (entryEventId: string) => string;
export declare const pathDepartures: () => string;
export declare const pathDeparture: (departureEventId: string) => string;
export declare const pathEnteralFeedingSupplementAttachmentDownloadRequest: (supplementId: string, attachmentId: string) => string;
export declare const pathOxygenSupplementAttachmentDownloadRequest: (supplementId: string, attachmentId: string) => string;
export declare const createDraftInvoice: (body: agedCareTypes.CreateAgedCareInvoiceBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.AgedCareInvoice>;
export declare const getCareRecipientDetails: (careRecipientId: string, query?: agedCareTypes.GetCareRecipientDetailsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CareRecipientDetailsResponse>;
export declare const searchCareRecipients: (query?: agedCareTypes.SearchCareRecipientsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.SearchCareRecipientsResponse>;
export declare const getServiceProviderDetails: (serviceProviderId: string, query?: agedCareTypes.GetServiceProviderDetailsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.ServiceProviderDetailsResponse>;
export declare const getServices: (query: agedCareTypes.GetServicesQuery, opts?: MedipassRequestOpts) => Promise<Array<agedCareTypes.AgedCareService>>;
export declare const onboard: (body: agedCareTypes.OnboardRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.OnboardResponse>;
export declare const getRegisteredProviders: (registeredProviderId: string, query?: agedCareTypes.GetRegisteredProvidersQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.GetRegisteredProvidersResponse>;
export declare const getServiceProviderAccountSummary: (serviceProviderId: string, query?: agedCareTypes.GetServiceProviderAccountSummaryQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.ServiceProviderAccountSummaryResponse>;
export declare const getClaims: (businessId: string, query?: agedCareTypes.GetClaimsQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<agedCareTypes.AgedCareClaim>>;
export declare const getClaim: (claimId: string, query?: agedCareTypes.GetClaimQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.AgedCareClaim>;
export declare const getPaymentStatement: (query: agedCareTypes.GetPaymentStatementQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.AgedCarePaymentStatement>;
export declare const uploadAgedCareUrl: (body: agedCareTypes.AgedCareUploadUrlRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.AgedCareUploadUrlResponse>;
export declare const createInvoiceItemAttachment: (invoiceId: string, itemId: string, body: agedCareTypes.CreateInvoiceItemAttachmentRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CreateInvoiceItemAttachmentResponse>;
export declare const getTransactionFiles: (transactionId: string, query?: agedCareTypes.GetTransactionFilesQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<agedCareTypes.AgedCareTransactionFile>>;
export declare const getInvoice: (invoiceId: string, query?: agedCareTypes.GetInvoiceQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.AgedCareInvoice>;
export declare const getPaymentItemsReport: (query?: agedCareTypes.GetPaymentItemsReportQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<agedCareTypes.AgedCarePaymentItemsReport>>;
export declare const createEnteralFeedingSupplementAttachment: (supplementId: string, body: agedCareTypes.CreateEnteralFeedingSupplementAttachmentRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CreateEnteralFeedingSupplementAttachmentResponse>;
export declare const createOxygenSupplementAttachment: (supplementId: string, body: agedCareTypes.CreateOxygenSupplementAttachmentRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CreateOxygenSupplementAttachmentResponse>;
export declare const getIndividualContributions: (query?: agedCareTypes.GetIndividualContributionsQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<agedCareTypes.IndividualContribution>>;
export declare const getCareRecipientBudgets: (careRecipientId: string, query?: agedCareTypes.GetCareRecipientBudgetsQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<agedCareTypes.CareRecipientBudget>>;
export declare const getServiceProviderBudgets: (serviceProviderId: string, query?: agedCareTypes.GetServiceProviderBudgetsQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<agedCareTypes.ServiceProviderBudget>>;
export declare const getBudgetDetails: (budgetId: string, query?: agedCareTypes.GetBudgetDetailsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.BudgetDetailsResponse>;
export declare const getEnteralFeedingSupplementDetails: (supplementId: string, query?: agedCareTypes.GetEnteralFeedingSupplementDetailsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.EnteralFeedingSupplement>;
export declare const getOxygenSupplementDetails: (supplementId: string, query?: agedCareTypes.GetOxygenSupplementDetailsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.OxygenSupplement>;
export declare const getEnteralFeedingSupplements: (query?: agedCareTypes.GetEnteralFeedingSupplementsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.GetEnteralFeedingSupplementsResponse>;
export declare const createEnteralFeedingSupplement: (body: agedCareTypes.CreateEnteralFeedingSupplementRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.EnteralFeedingSupplement>;
export declare const updateEnteralFeedingSupplement: (supplementId: string, body: agedCareTypes.UpdateEnteralFeedingSupplementRequestBody, opts?: MedipassRequestOpts) => Promise<void>;
export declare const getOxygenSupplements: (query?: agedCareTypes.GetOxygenSupplementsQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.GetOxygenSupplementsResponse>;
export declare const createOxygenSupplement: (body: agedCareTypes.CreateOxygenSupplementRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.OxygenSupplement>;
export declare const updateOxygenSupplement: (supplementId: string, body: agedCareTypes.UpdateOxygenSupplementRequestBody, opts?: MedipassRequestOpts) => Promise<void>;
export declare const deleteEnteralFeedingSupplement: (supplementId: string, body?: agedCareTypes.DeleteEnteralFeedingSupplementQuery, opts?: MedipassRequestOpts) => Promise<void>;
export declare const deleteOxygenSupplement: (supplementId: string, body?: agedCareTypes.DeleteOxygenSupplementQuery, opts?: MedipassRequestOpts) => Promise<void>;
export declare const updateEnteralFeedingSupplementEndDate: (body: agedCareTypes.UpdateEnteralFeedingSupplementEndDateRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.EndDateEnteralFeedingSupplement>;
export declare const updateOxygenSupplementEndDate: (body: agedCareTypes.UpdateOxygenSupplementEndDateRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.EndDateOxygenSupplement>;
export declare const getEntries: (query?: agedCareTypes.GetEntriesQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.GetEntriesResponse>;
export declare const getEntry: (entryEventId: string, query: agedCareTypes.GetEntryQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.GetEntryResponse>;
export declare const updateEntry: (entryEventId: string, body: agedCareTypes.UpdateEntryRequestBody, opts?: MedipassRequestOpts) => Promise<void>;
export declare const createEntry: (body: agedCareTypes.CreateEntryRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CreateEntryResponse>;
export declare const deleteEntry: (entryEventId: string, body: agedCareTypes.DeleteEntryQuery, opts?: MedipassRequestOpts) => Promise<void>;
export declare const getDepartures: (query?: agedCareTypes.GetDeparturesQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.GetDeparturesResponse>;
export declare const getDeparture: (departureEventId: string, query: agedCareTypes.GetDepartureQuery, opts?: MedipassRequestOpts) => Promise<agedCareTypes.GetDepartureResponse>;
export declare const updateDeparture: (departureEventId: string, body: agedCareTypes.UpdateDepartureRequestBody, opts?: MedipassRequestOpts) => Promise<void>;
export declare const createDeparture: (body: agedCareTypes.CreateDepartureRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CreateDepartureResponse>;
export declare const deleteDeparture: (departureEventId: string, body: agedCareTypes.DeleteDepartureQuery, opts?: MedipassRequestOpts) => Promise<void>;
export declare const createEnteralFeedingSupplementAttachmentDownloadRequest: (supplementId: string, attachmentId: string, body: agedCareTypes.CreateEnteralFeedingSupplementAttachmentDownloadRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CreateEnteralFeedingSupplementAttachmentDownloadRequestResponse>;
export declare const createOxygenSupplementAttachmentDownloadRequest: (supplementId: string, attachmentId: string, body: agedCareTypes.CreateOxygenSupplementAttachmentDownloadRequestBody, opts?: MedipassRequestOpts) => Promise<agedCareTypes.CreateOxygenSupplementAttachmentDownloadRequestResponse>;
