import type { MedipassRequestOpts } from '../types';
export declare const pathApiKeysByBusinessId: (businessId: string) => string;
export declare const pathApiKeyByApiKeyId: (businessId: string, apiKeyId: string) => string;
/**
 * Create an Api Key
 * @param {String} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createApiKey: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get Api Keys for a business
 * @param {String} businessId - Business ID
 * @param {Object} query - query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessApiKeys: (businessId: string, query: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Delete Api Key by apiKeyId
 * @param {String} businessId - Business ID
 * @param {String} apiKeyId - Api Key ID
 * @param {Object} opts - Additional options
 */
export declare const deleteApiKey: (businessId: string, apiKeyId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
