import type { MedipassRequestOpts, PaginatedResponse } from '../types';
import type { Application } from 'types/application';
/**
 * Get self application
 * @param {Object} opts - Additional options
 */
export declare const getSelfApplication: (opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get applications
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getApplications: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<Application>>;
/**
 * Get application
 * @param {String} applicationId - Application ID
 * @param {Object} opts - Additional options
 */
export declare const getApplication: (applicationId: string, opts?: MedipassRequestOpts) => Promise<Application>;
/**
 * Update application
 * @param {String} applicationId - Application ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const updateApplication: (applicationId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Application>;
/**
 * Create application
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createApplication: (body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Application>;
