import type { BlacklistedBankAccount, MedipassRequestOpts, PaginatedResponse } from '../types';
export interface CreateBlacklistedBankAccountPayload {
    bsb: string;
    accountNumber: string;
}
export interface GetBlacklistedBankAccountsQuery {
    bsb: string;
    accountNumber: string;
}
/**
 * Create blacklisted bank  account
 * @param {Object} body - Object body
 * @param {Object} opts - Additional options
 */
export declare const createBlacklistedBankAccount: (body: CreateBlacklistedBankAccountPayload, opts?: MedipassRequestOpts) => Promise<BlacklistedBankAccount>;
/**
 * Get blacklisted bank accounts
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBlacklistedBankAccounts: (query: GetBlacklistedBankAccountsQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<BlacklistedBankAccount>>;
