import type { MedipassRequestOpts } from '../types';
import type { BulkSubmitsProgressResponse, BulkSubmitsResponse } from '../types/bulk-submits';
export type { BulkSubmitsResponse, BulkSubmitsProgressResponse };
export declare const pathSubmitDraftInvoices: (businessId: string) => string;
export declare const pathGetDraftProgressStatus: (businessId: string, bulkSubmitId: string) => string;
/**
 * Bulk submission of one or more draft invoices.
 * @param {String} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const submitDraftInvoices: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<BulkSubmitsResponse>;
/**
 * Get draft invocies progress status
 * @param {String} businessId - Business ID
 * @param {String} bulkSubmitId - Bulk Submit ID
 * @param {Object} opts - Additional options
 */
export declare const getDraftProgressStatus: (businessId: string, bulkSubmitId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<BulkSubmitsProgressResponse>;
