import type { MedipassRequestOpts } from '../types';
export declare const pathBusinessBulkUploads: (businessId: string) => string;
export declare const pathBusinessBulkUpload: (businessId: string, bulkUploadId: string) => string;
export declare const pathBusinessBulkUploadUrl: (businessId: string) => string;
/**
 * Create a bulk upload from file
 * @param {string} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createBulkUpload: (businessId: string, body?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get a bulk upload
 * @param {string} businessId - Business ID
 * @param {string} bulkUploadId - Bulk upload ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const getBulkUpload: (businessId: string, bulkUploadId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get a bulk upload url
 * @param {string} businessId - Business ID
 * @param {Object} query - Query params
 * @param {Object} opts - Additional options
 */
export declare const getBulkUploadUrl: (businessId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
