import type { BusinessEmailLog, BusinessEmailLogQuery, MedipassRequestOpts, PaginatedResponse } from 'types';
export declare const pathGetBusinessEmailLogs: (businessId: string) => string;
export declare const pathGetEmailLog: (emailLogId: string) => string;
/**
 * Get business email logs
 * @param {String} businessId - Business ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessEmailLogs: (businessId: string, query: BusinessEmailLogQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<BusinessEmailLog>>;
/**
 * Get a single business email log
 * @param {String} emailLogId - Email Log ID
 * @param {Object} opts - Additional options
 */
export declare const getEmailLog: (emailLogId: string, opts?: MedipassRequestOpts) => Promise<BusinessEmailLog>;
