import type { Device, MedipassRequestOpts } from '../types';
export declare const pathDeviceByDeviceId: (deviceId: any) => string;
/**
 * Register a device
 * @param {Object} opts - Additional options
 * @returns {Object} The device data
 */
export declare const registerDevice: (opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Check if the device exists, and set the device id request header.
 */
export declare const getDeviceId: () => Promise<void | null | undefined>;
/**
 * Update device
 * @param {String} deviceId - Device ID
 * @param {Object} opts - Additional options
 */
export declare const updateDevice: (deviceId: string, opts?: MedipassRequestOpts) => Promise<Device>;
