import type { MedipassRequestOpts } from '../types';
/**
 * Get documentation accounts
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getDocAccounts: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get documentation account
 * @param {String} docAccountId - Documentation Account ID
 * @param {Object} opts - Additional options
 */
export declare const getDocAccount: (partnerId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Create documentation account
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createDocAccount: (body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Update documentation account
 * @param {String} docAccountId - Documentation Account ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const updateDocAccount: (docAccountId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Delete documentation account
 * @param {String} docAccountId - Documentation Account ID
 * @param {Object} opts - Additional options
 */
export declare const deleteDocAccount: (docAccountId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
