import type { MedipassRequestOpts } from '../types';
export declare const pathBusinessFormApplicationTemplate: (businessId: string, formId: string, formApplicationTemplateId: string) => string;
export declare const pathHealthFundFormApplicationTemplate: (healthFundId: string, formApplicationTemplateId: string) => string;
/**
 * Get business form application template
 * @param {String} businessId - Business ID
 * @param {String} formId - Form ID
 * @param {String} formApplicationTemplateId - Form ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessFormApplicationTemplate: (businessId: string, formId: string, formApplicationTemplateId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get health fund form application template
 * @param {String} healthFundId - Health fund ID
 * @param {String} formApplicationTemplateId - Form ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getHealthFundFormApplicationTemplate: (healthFundId: string, formApplicationTemplateId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
