import type { MedipassRequestOpts } from '../types';
export declare const pathBusinessFormApplication: (businessId: string, formApplicationId: string) => string;
export declare const pathHealthFundFormApplication: (healthFundId: string, formApplicationId: string) => string;
export declare const pathUpdatePracticeRepresentative: (healthFundId: string, formApplicationId: string) => string;
/**
 * Get business form application
 * @param {String} businessId - Business ID
 * @param {String} formApplicationId - Form ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessFormApplication: (businessId: string, formApplicationId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get health fund form application
 * @param {String} healthFundId - Business ID
 * @param {String} formApplicationId - Form ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getHealthFundFormApplication: (healthFundId: string, formApplicationId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Update form practice representative details
 * @param {Object} healthFundId - Health fund ID
 * @param {Object} body - Health fund details
 * @param {Object} opts - Additional options
 */
export declare const updatePracticeRepresentative: (healthFundId: string, formApplicationId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
