import type { FunderValue, MedipassRequestOpts, PaginatedResponse } from '../types';
export declare const pathFunderValues: (businessId: string) => string;
export declare const pathFunderValuesById: (businessId: string, funderValueId: string) => string;
export interface GetBusinessFunderValuesQuery {
    funderId: string;
    key: string;
    limit?: number;
    searchText?: string;
}
export interface CreateBusinessFunderValuePayload {
    funderId: string;
    key: string;
    value: string;
    displayName?: string;
}
export interface UpdateBusinessFunderValuePayload {
    displayName?: string;
    value?: string;
}
export declare const getBusinessFunderValues: (businessId: string, query: GetBusinessFunderValuesQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<FunderValue>>;
export declare const getBusinessFunderValueById: (businessId: string, funderValueId: string, opts?: MedipassRequestOpts) => Promise<Array<Record<string, any>>>;
export declare const createBusinessFunderValue: (businessId: string, body: CreateBusinessFunderValuePayload, opts?: MedipassRequestOpts) => Promise<FunderValue>;
export declare const updateBusinessFunderValue: (businessId: string, funderValueId: string, body: UpdateBusinessFunderValuePayload, opts?: MedipassRequestOpts) => Promise<FunderValue>;
export declare const deleteBusinessFunderValue: (businessId: string, funderValueId: string, opts?: MedipassRequestOpts) => Promise<FunderValue>;
