import type { MedipassRequestOpts } from '../types';
/**
 * Create a health fund setting
 * @param {String} healthFundId - Health fund ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createHealthFundSetting: (healthFundId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Delete a health fund setting
 * @param {String} healthFundId - Health fund ID
 * @param {String} healthFundSettingId - Health fund setting ID
 * @param {Object} opts - Additional options
 */
export declare const deleteHealthFundSetting: (healthFundId: string, healthFundSettingId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get health fund settings
 * @param {String} healthFundId - Health fund ID
 * @param {Object} query - Query params
 * @param {Object} opts - Additional options
 */
export declare const getHealthFundSettings: (healthFundId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get business practice staff member health fund settings
 * @param {String} businessId - Business ID
 * @param {String} practiceId - Practice ID
 * @param {String} staffId - Staff ID
 * @param {Object} query - Query params
 * @param {Object} opts - Additional options
 */
export declare const getBusinessPracticeStaffMemberHealthFundSettings: (businessId: string, practiceId: string, staffId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Update a health fund setting
 * @param {String} memberId - Member ID
 * @param {String} healthFundAccountId - healthFundAccountId
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const updateHealthFundSetting: (healthFundId: string, healthFundSettingId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
