import type { MedipassRequestOpts } from '../types';
/**
 * Get ICD items
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getICDItems: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get modality ICD items
 * @param {Object} modalityId - Modality ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getModalityICDItems: (modalityId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
