import type { MedipassRequestOpts } from '../types';
export declare const pathInvoiceScansByBusinessId: (businessId: string) => string;
export declare const pathUploadUrlByBusinessId: (businessId: string) => string;
export declare const pathInvoiceScanByInvoiceScanId: (businessId: string, invoiceScanId: string) => string;
/**
 * Create an invoice scan
 * @param {String} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createInvoiceScan: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get invoice scan by invoice scan id
 * @param {String} businessId - Business ID
 * @param {String} invoiceScanId - Invoice Scan ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const getInvoiceScan: (businessId: string, invoiceScanId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get url to upload a file associated to a invoice scan
 * @param {String} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const getInvoiceScanUploadUrl: (businessId: string, query: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
