import type { MedipassRequestOpts } from '../types';
export declare const pathLog: () => string;
export declare const pathBusinessLog: (businessId: string) => string;
/**
 * Create a log
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createLog: (body?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Create a business log
 * @param {string} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createBusinessLog: (businessId: string, body?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
