import type { MedipassRequestOpts } from '../types';
/**
 * Create minion for health fund
 * @param {String} healthFundId - Health fund ID
 * @param {String} name - Minion name
 * @param {String} triggerId - Minion trigger ID
 * @param {String} actionId - Minion action ID
 * @param {Object} body - Additional body
 * @param {Object} opts - Additional options
 */
export declare const createMinionForHealthFund: (healthFundId: string, name: string, triggerId: string, actionId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get minions for health fund
 * @param {String} healthFundId - Health fund ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getMinionsForHealthFund: (healthFundId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get minion for health fund
 * @param {String} healthFundId - Health fund ID
 * @param {String} minionId - Minion ID
 * @param {Object} opts - Additional options
 */
export declare const getMinionForHealthFund: (healthFundId: string, minionId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Update minion for health fund
 * @param {String} healthFundId - Health fund ID
 * @param {String} minionId - Minion ID
 * @param {String} body
 * @param {Object} opts - Additional options
 */
export declare const updateMinionForHealthFund: (healthFundId: string, minionId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Delete a health fund's minionId
 * @param {String} healthFundId - Health fund ID
 * @param {String} minionId - Minion ID
 * @param {Object} opts - Additional options
 */
export declare const deleteMinionForHealthFund: (healthFundId: string, minionId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
