import type { MedipassRequestOpts } from '../types';
/**
 * Get business's available modalities
 * @param {Object} businessId - Business ID
 * @param {Object} opts - Additional options
 */
export declare const getBusinessModalities: (businessId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get modalities
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getModalities: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any> | Array<Record<string, any>>>;
/**
 * Get modality
 * @param {String} modalityId - Modality ID
 * @param {Object} opts - Additional options
 */
export declare const getModality: (modalityId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
