import type { CreateNoteRequestBody, MedipassRequestOpts, PaginatedQuery, PaginatedResponse } from '../types';
export declare const pathHealthFundDocumentNotes: (healthFundId: string, documentId: string) => string;
export declare const pathHealthFundTransactionNote: (healthFundId: string, transactionId: string) => string;
export declare const pathHealthFundNote: (healthFundId: string, noteId: string) => string;
export declare const pathTransactionNotes: (transactionId: string) => string;
export declare const pathTransactionNote: (transactionId: string, transactionNoteId: string) => string;
export declare const pathGetTransactionNote: (businessId: string, transactionId: string) => string;
export declare const createHealthFundDocumentNote: (healthFundId: string, documentId: string, body: CreateNoteRequestBody, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getHealthFundDocumentNotes: (healthFundId: string, documentId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getHealthFundTransactionNote: (healthFundId: string, transactionId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getHealthFundNote: (healthFundId: string, noteId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getTransactionNotes: (transactionId: string, query?: PaginatedQuery | null | undefined, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export interface TransactionNote {
    accountId: string;
    businessId: string;
    created: string;
    healthFundId: string;
    modified: string;
    note: string;
    transactionId: string;
    username: string;
    _id: string;
}
export declare const getTransactionNote: (businessId: string, transactionId: string, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<TransactionNote>>;
export declare const addTransactionNote: (transactionId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const deleteTransactionNote: (transactionId: string, transactionNoteId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const updateHealthFundNote: (healthFundId: string, noteId: string, body: CreateNoteRequestBody, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const deleteHealthFundNote: (healthFundId: string, noteId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
