import type { MedipassRequestOpts } from '../types';
/**
 * Create ops service
 * @param {String} fullName - Service full name
 * @param {String} displayName - Service display name
 * @param {String} type - Service type
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createService: (fullName: string, displayName: string, type: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Delete an ops services
 * @param {String} serviceId - Service ID
 * @param {Object} opts - Additional options
 */
export declare const deleteService: (serviceId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Deploy an ops service
 * @param {String} serviceId - Service ID
 * @param {Object} opts - Additional options
 */
export declare const deployService: (serviceId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get ops deployments
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getDeployments: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get ops deployments
 * @param {String} deploymentId - Deployment ID
 * @param {Object} opts - Additional options
 */
export declare const getDeployment: (deploymentId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get ops services
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getServices: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get an ops service
 * @param {String} serviceId - Service ID
 * @param {Object} opts - Additional options
 */
export declare const getService: (serviceId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Update an ops service
 * @param {String} serviceId - Service ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const updateService: (serviceId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Decrypt Service
 * @param {String} serviceId - Service ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const decrypt: (serviceId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
