import type { MedipassRequestOpts } from '../types';
/**
 * Get business PMS practices
 * @param {String} businessId - Business ID
 * @param {String} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessPMSPractices: (businessId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get business PMS services
 * @param {String} businessId - Business ID
 * @param {String} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessPMSServices: (businessId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get business PMS staff
 * @param {String} businessId - Business ID
 * @param {String} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessPMSStaffMembers: (businessId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Import business PMS practice
 * @param {String} businessId - Business ID
 * @param {String} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const importBusinessPMSPractice: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Import business PMS service
 * @param {String} businessId - Business ID
 * @param {String} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const importBusinessPMSService: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Import business PMS staff member
 * @param {String} businessId - Business ID
 * @param {String} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const importBusinessPMSStaffMember: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
