import type { MedipassRequestOpts, GetBusinessProductsQuery, ProductResponse, ProductsResponse } from '../types';
export declare const pathBusinessProducts: (businessId: string) => string;
export declare const pathBusinessProduct: (businessId: string, productId: string) => string;
/**
 * Get products
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getProducts: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<ProductsResponse>;
/**
 * Get business products
 * @param {String} businessId - Business ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessProducts: (businessId: string, query?: GetBusinessProductsQuery, opts?: MedipassRequestOpts) => Promise<ProductsResponse>;
/**
 * Get business product
 * @param {String} businessId - Business ID
 * @param {String} productId - Product ID
 * @param {Object} opts - Additional options
 */
export declare const getBusinessProduct: (businessId: string, productId: string, opts?: MedipassRequestOpts) => Promise<ProductResponse>;
