import type { MedipassRequestOpts, GetProfessionalCategoriesQuery, ProfessionalCategory, PaginatedResponse } from '../types';
export declare const pathBusinessProfessionalCategories: (businessId: string) => string;
export declare const pathProfessionalCategories = "/professionalcategories";
export declare const pathProfessionalCategory: (professionalCategoryId: string) => string;
/**
 * Get professional categories
 * @param {Object} opts - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getProfessionalCategories: (query?: GetProfessionalCategoriesQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<ProfessionalCategory>>;
/**
 * Get business professional categories
 * @param {Object} businessId - Business ID
 * @param {Object} opts - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessProfessionalCategories: (businessId: string, query?: GetProfessionalCategoriesQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<ProfessionalCategory>>;
/**
 * Get professional category
 * @param {Object} professionalCategoryId - Professional category ID
 * @param {Object} opts - Additional options
 */
export declare const getProfessionalCategory: (professionalCategoryId: string, opts?: MedipassRequestOpts) => Promise<ProfessionalCategory>;
