import type { MedipassRequestOpts, PaginatedQuery } from '../types';
export declare const pathGetProviderRegistrationTypes = "/providerregistrationtypes";
export declare const pathGetProviderRegistrationType: (providerRegistrationTypeId: string) => string;
/**
 * Get provider registration types
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getProviderRegistrationTypes: (query?: PaginatedQuery, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get a provider registration type
 * @param {String} providerRegistrationTypeId - Provider registration type ID
 * @param {Object} opts - Additional options
 */
export declare const getProviderRegistrationType: (providerRegistrationTypeId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
