import type { MedipassRequestOpts } from '../types';
/**
 * Create providerRequest
 * @param {string} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createProviderRequest: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Request a staff member provider number to be enabled
 * @param {string} businessId - Business ID
 * @param {string} practiceId - Practice ID
 * @param {string} staffId - Staff ID
 * @param {string} providerNumber - ProviderNumber
 * @param {Object} opts - Additional options
 */
export declare const requestBusinessPracticeStaffMemberProviderNumberToBeEnabled: (businessId: string, practiceId: string, staffId: string, providerNumber: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
