import type { MedipassRequestOpts, Transaction } from '../types';
export declare const pathVerifyClaimNumber: () => string;
export declare const pathSubmitClaim: () => string;
export declare const pathSaveDraft: () => string;
export interface VerifyClaimNumberBody {
    businessId: string;
    claimNumber: string;
    dob: string;
}
export interface VerifyClaimNumberResponse {
    patientVerified: boolean;
    settlementDateString: string;
    jurisdiction: string;
    scheme: string;
    claimStatusCode: string;
    claimStatusDescription: string;
    healthFundId: string;
}
export declare const verifyClaimNumber: (body: VerifyClaimNumberBody, opts?: MedipassRequestOpts) => Promise<VerifyClaimNumberResponse>;
export interface ClaimRequestBody {
    invoiceReference?: string;
    patient: {
        identity: {
            _id?: string;
            dobString?: string;
            firstName?: string;
            lastName?: string;
            refId?: string;
        };
        healthFundAccount: {
            _id?: string;
            healthFundCode?: string;
            healthFundId?: string;
            membershipNumber?: string;
            memberState?: string;
        };
    };
    provider: {
        providerNumber?: string;
        providerSetItemId?: string;
    };
    claimItems: {
        serviceDateString?: string;
        itemCode?: string;
        customDescription?: string;
        chargeAmount?: string;
        isTaxable?: boolean;
        quantity?: number | string;
        unit?: string;
    }[];
    serviceNote?: string;
    attachments?: {
        fileName?: string;
        category?: string;
        s3SignedUrlId?: string;
    }[];
    webhooks?: {
        url?: string;
        method?: string;
        event?: string;
        headers?: Record<string, string>;
    }[];
}
export declare const submitClaim: (body: ClaimRequestBody, opts?: MedipassRequestOpts) => Promise<Transaction>;
export declare const saveDraft: (body: ClaimRequestBody, opts?: MedipassRequestOpts) => Promise<Transaction>;
