import type { PaginatedQuery } from '../types';
import type { MedipassRequestOpts } from '../types';
export declare const pathHealthFundRNAs: (healthFundId: string) => string;
export declare const pathHealthFundRNA: (healthFundId: string, rnaId: string) => string;
export declare const pathHealthFundRNAAppointments: (healthFundId: string, rnaId: string) => string;
export declare const pathHealthFundRNAAppointment: (healthFundId: string, rnaId: string, rnaAppointmentId: string) => string;
export declare const pathBusinessesRNAs: (businessId: string) => string;
export declare const pathBusinessRNA: (businessId: string, rnaId: string) => string;
/**
 * Get businesses Requests and Appointments
 * @param {String} businessId - Business ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessRNAs: (businessId: string, query?: (PaginatedQuery & {
    searchText?: string;
}) | null | undefined, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get business Requests and Appointments
 * @param {String} businessId - Business ID
 * @param {String} rnaId - RNA ID
 * @param {Object} opts - Additional options
 */
export declare const getBusinessRNA: (businessId: string, rnaId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Check if dan and epId is valid
 * @param {String} businessId - Business ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const checkRNAExists: (businessId: string, query: {
    dan: string;
    epId: string;
}, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const createHealthFundRNA: (healthFundId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const createAppointmentForHealthFundRNA: (healthFundId: string, rnaId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getHealthFundRNA: (healthFundId: string, rnaId: string, query?: {
    includeDeleted?: boolean;
} | null | undefined, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getHealthFundRNAs: (healthFundId: string, query?: (PaginatedQuery & {
    searchText?: string;
}) | null | undefined, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const updateAppointmentForHealthFundRNA: (healthFundId: string, rnaId: string, rnaAppointmentId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
