import type { S3FileExportStatus, MedipassRequestOpts } from 'types';
export declare const pathCheckStatusOfFileExport: (businessId: string, s3FileId: string) => string;
export declare const pathDownloadBusinessExport: (businessId: string, s3FileId: string) => string;
/**
 This can be used to query the file ID until the status is completed or errored.
 * @param {String} businessId - Business ID
 * @param {String} s3FileId -  S3File ID
 * @param {Object} opts - Additional options
 */
export declare const checkStatusOfFileExport: (businessId: string, s3FileId: string, opts?: MedipassRequestOpts) => Promise<S3FileExportStatus>;
/**
 This can be used to download the file from S3 when the status has completed.
 * @param {String} businessId - Business ID
 * @param {String} s3FileId -  S3File ID
 * @param {Object} opts - Additional options
 */
export declare const downloadBusinessExport: (businessId: string, s3FileId: string, opts?: MedipassRequestOpts) => Promise<{
    s3SignedUrl: string;
}>;
