import type { MedipassRequestOpts, GetSpecialtiesQuery, Specialty, PaginatedResponse } from '../types';
export declare const pathBusinessSpecialties: (businessId: string) => string;
export declare const pathSpecialties = "/specialties";
export declare const pathSpecialty: (specialtyId: string) => string;
/**
 * Get specialties
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getSpecialties: (query?: GetSpecialtiesQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<Specialty>>;
/**
 * Get business specialties
 * @param {Object} businessId - Business ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessSpecialties: (businessId: string, query?: GetSpecialtiesQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<Specialty>>;
/**
 * Get specialty
 * @param {Object} specialtyId - Specialty ID
 * @param {Object} opts - Additional options
 */
export declare const getSpecialty: (specialtyId: string, opts?: MedipassRequestOpts) => Promise<Specialty>;
