import type { MedipassRequestOpts, CreateBusinessSubscriptionBody, GetBusinessSubscriptionsQuery, UpdateBusinessSubscriptionBody, SubscriptionResponse, SubscriptionsResponse } from '../types';
export declare const pathBusinessSubscriptions: (businessId: string) => string;
export declare const pathBusinessSubscription: (businessId: string, subscriptionId: string) => string;
/**
 * Create business subscription
 * @param {String} businessId - Business ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createBusinessSubscription: (businessId: string, body?: CreateBusinessSubscriptionBody, opts?: MedipassRequestOpts) => Promise<SubscriptionResponse>;
/**
 * Get business subscriptions
 * @param {String} businessId - Business ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessSubscriptions: (businessId: string, query?: GetBusinessSubscriptionsQuery, opts?: MedipassRequestOpts) => Promise<SubscriptionsResponse>;
/**
 * Get business subscription
 * @param {String} businessId - Business ID
 * @param {String} subscriptionId - Subscription ID
 * @param {Object} opts - Additional options
 */
export declare const getBusinessSubscription: (businessId: string, subscriptionId: string, opts?: MedipassRequestOpts) => Promise<SubscriptionResponse>;
/**
 * Update business subscription
 * @param {String} businessId - Business ID
 * @param {String} subscriptionId - Subscription ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const updateBusinessSubscription: (businessId: string, subscriptionId: string, body: UpdateBusinessSubscriptionBody, opts?: MedipassRequestOpts) => Promise<SubscriptionResponse>;
