import type { MedipassRequestOpts } from '../types';
export declare const pathCreateHealthFundTransactionExport: (healthFundId: string) => string;
export declare const pathGetHealthFundTransactionExport: (healthFundId: string, transactionExportId: string) => string;
/**
 * Get a transaction export for a healthfund
 * @param {String} healthFundId -  Health fund ID
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const createHealthFundTransactionExport: (healthFundId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get transaction export for a healthfund
 * @param {String} healthFundId - Health Fund ID
 * @param {String} transactionExportId - Transaction Export ID
 * @param {Object} query - query parameters
 * @param {Object} opts - Additional options
 */
export declare const getHealthFundTransactionExport: (healthFundId: string, transactionExportId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
