import type { MedipassRequestOpts } from '../types';
export declare const pathRequestTransactionReport: () => string;
export interface RequestTransactionReportBody {
    businessId: string;
    transactionReportTemplateFullName: 'system-transaction-report-template-default';
    filter?: {
        from?: string;
        to?: string;
        transactionTypes?: string | string[];
        archiveOnly?: boolean;
        funderIds?: string | string[];
        practiceIds?: string | string[];
        businessStatuses?: string | string[];
        searchText?: string;
    };
}
export interface RequestTransactionReportResponse {
    userDownloadId: string;
}
/**
 * Request a transaction report
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const requestTransactionReport: (body: RequestTransactionReportBody, opts?: MedipassRequestOpts) => Promise<RequestTransactionReportResponse>;
