export declare type StoreType = 'default' | 'session';
export declare type CommonOpts = {
    storeType?: StoreType;
};
export declare type SetOpts = CommonOpts & {
    override?: boolean;
};
export declare const clearAll: (opts?: CommonOpts) => void;
export declare const get: (key: string, opts?: CommonOpts) => any;
export declare const remove: (key: string, opts?: CommonOpts) => void;
export declare const set: (key: string, val: any, opts?: SetOpts) => void;
declare const storage: {
    clearAll: (opts?: CommonOpts) => void;
    remove: (key: string, opts?: CommonOpts) => void;
    get: (key: string, opts?: CommonOpts) => any;
    set: (key: string, val: any, opts?: SetOpts) => void;
    onboardingStatus: {
        get: () => any;
        set: (value: any, opts?: SetOpts) => void;
        remove: () => void;
    };
    previousCreatePHITransactionFormValues: {
        get: () => any;
        set: (value: any, opts?: SetOpts) => void;
        remove: () => void;
    };
};
export default storage;
