export interface Account {
    acceptedTerms: boolean;
    acceptedTermsDate: string;
    acceptedTermsUrl: string;
    accountType: string;
    applicationId: string;
    businessVerified: boolean;
    created: string;
    emailVerified: boolean;
    firstName: string;
    hasPasscode: boolean;
    lastName: string;
    mfa: MFA;
    mobileVerified: boolean;
    modified: string;
    onboardingCache: {
        firstName: string;
        lastName: string;
    };
    organisationId: string;
    providerDataVerified: boolean;
    refSource: string;
    status: string;
    username: string;
    _id: string;
    _links: {
        businesses: {
            read: string;
        };
    };
}
declare type MFA = {
    sms: {
        countryCode: 'au';
        enabled: boolean;
        mobileE164: string | null;
    };
};
export interface CreateOrganisationSupportAccountBody {
    username: string;
    mobileE164: string;
}
export {};
