import type { PaginatedQuery } from './index';
export declare type ApplyForBusinessFormRequestBody = {
    practiceIds: Array<string | null | undefined>;
    subsections?: Array<{
        _id: string;
        value: string;
    } | null | undefined>;
    files?: Array<Record<string, any>>;
};
export declare type CreateHealthFundFormRequestBody = {
    fullName: string;
    displayName: string;
    description?: string;
    logoUrl?: string;
    visibilityRules: Array<{
        businessRules: {
            modalityIds: Array<string>;
            states: Array<string>;
        };
    }>;
    sections: Array<{
        heading: string;
        description?: string;
        links?: Array<{
            displayName: string;
            url: string;
        }>;
        files?: Array<{
            displayName: string;
            url: string;
            contentType: string;
        }>;
    }>;
    scannedApplication: boolean;
};
export declare type GetHealthFundFormsQuery = PaginatedQuery & {
    hasApplicationTemplate?: boolean;
};
export declare type GetHealthFundFormUploadUrlQuery = {
    contentType: string;
    fileName: string;
};
export declare type UpdateHealthFundFormRequestBody = {
    fullName?: string;
    displayName?: string;
    description?: string;
    logoUrl?: string | null | undefined;
    visibilityRules?: {
        businessRules?: {
            modalityIds?: Array<string>;
            states?: Array<string>;
        };
    };
    sections?: Array<{
        heading?: string;
        description?: string;
        links?: Array<{
            displayName: string;
            url: string;
        }>;
        files?: Array<{
            displayName: string;
            url: string;
            contentType: string;
        }>;
    }>;
};
