export * from './abr';
export * from './application';
export * from './blacklist-bank-account';
export * from './business';
export * from './business-email-log';
export * from './device';
export * from './documents';
export * from './filter-option';
export * from './forms';
export * from './funder';
export * from './funder-value';
export * from './kyc';
export * from './message-mappings';
export * from './mfa-user';
export * from './notes';
export * from './organisation';
export * from './practice';
export * from './products';
export * from './professional-category';
export * from './provider-number-type';
export * from './provider-registration-type';
export * from './provider-registration';
export * from './provider-set-item';
export * from './staff-member';
export * from './specialty';
export * from './subscription';
export * from './transaction';
export * from './virus-scan';
export * from './s3-file-export';
export * from './account';
export * from './terminal-pin';
export declare type MedipassRequestOpts = {
    baseUrl?: string;
    hyperMediaEndpoint?: string | null | undefined;
    path?: string;
    requestConfig?: Record<string, any>;
    apiName?: string;
    asSuperAdmin?: boolean;
    getFullError?: boolean;
    getFullResponse?: boolean;
    tokenType?: string;
    ver?: string;
    skipErrorLoggingCodes?: number[];
    unrestrictBottleneckOpts?: boolean;
};
export declare type PaginationMeta = {
    count: number;
    first: string;
    last: string;
    next?: string;
    pageCount: number;
    previous?: string;
    self: string;
    totalCount: number;
};
export declare type PaginatedQuery = {
    limit?: number;
    page?: number;
    sort?: number;
};
export interface PaginatedResponse<T> {
    items: T[];
    meta: PaginationMeta;
}
export declare type SetupOpts = {
    baseUrls?: Record<string, any>;
    defaultVersion?: string;
    appId?: string;
    apiVer?: string;
    apiVersions?: Record<string, any>;
    env?: string;
    appVersion?: string;
};
export interface ErrorResponse {
    statusCode: number;
    error: string;
    message: string;
    headers?: {
        'x-mfa': string;
    };
}
