export declare type Kyc = {
    _id: string;
    businessId: string;
    practiceId: string;
    abn: string;
    acn: string;
    companyName: string;
    companyStatus: string;
    companyCreation: string;
    address: string;
    city: string;
    postcode: string;
    state: string;
    entityType: string;
    hasNonBeneficiallyHeldShares: boolean;
    manualVerificationRequired: boolean;
    resumedComplexVerification: boolean;
    beneficialOwners: Array<BeneficialOwner>;
    supportEmail: SupportEmail;
    files: Array<File>;
    isLatest: boolean;
    cboWorkspaceId: string;
    cboEnquiryId: string;
    isVerified: boolean;
    selfVerified: boolean;
    isManual: boolean;
    cboFetchedByAccountId: string;
    cboFetchedByAccountUsername: string;
    orgIdFetchedByAccountId: string;
    orgIdFetchedByAccountUsername: string;
    resumedComplexVerificationByAccountId: string;
    resumedComplexVerificationByAccountUsername: string;
    verifiedByAccountId: string;
    verifiedByAccountUsername: string;
    unverifiedByAccountId: string;
    unverifiedByAccountUsername: string;
    lastCboFetchDate: string;
    lastOrgIdFetchDate: string;
    lastResumeComplexVerificationDate: string;
    version: number;
    created: string;
    modified: string;
    deleted: string;
};
export declare type SupportEmail = {
    isSent: false;
    sentByAccountId: string;
    sentByAccountUsername: string;
};
export declare type BeneficialOwner = {
    firstName: string;
    middleName: string;
    lastName: string;
    dobString: string;
    companyName: string;
    acn: string;
    abn: string;
    companyNumber: string;
    addressPrefix: string;
    address: string;
    city: string;
    postcode: string;
    state: string;
    country: string;
    beneficiallyHeldShares: number;
    nonBeneficiallyHeldShares: number;
    jointHeldShares: number;
    pepScreening: string;
    sanctionScreening: string;
    isDirector: boolean;
    isCompany: boolean;
    isManualAddition: boolean;
    isVerified: boolean;
    consent: string;
    verificationDocument: VerificationDocument;
    failedAttempts: 0;
    addedByAccountId: string;
    addedByAccountUsername: string;
    sentSupportEmail: boolean;
    idmatrixEnquiryId: string;
    idmatrixFetchedByAccountId: string;
    idmatrixFetchedByAccountUsername: string;
    lastIdmatrixFetchDate: string;
    _id: string;
};
export interface VerificationDocument {
    driversLicence: 'passed' | 'failed';
    passport: 'passed' | 'failed';
    medicare: 'passed' | 'failed';
}
export declare type File = {
    _id: string;
    contentType: string;
    displayName: string;
    s3Bucket: string;
    s3Key: string;
    uploadedByAccountId: string;
    uploadedByAccountUsername: string;
};
export interface UpdateBusinessKycBody {
    files: {
        filename: string;
        s3SignedUrlId: string;
    }[];
}
export interface BusinessKycPinResponse {
    businessId: string;
    created: string;
    expiryDate: string;
    modified: string;
    pin: string;
    _id: string;
}
