export interface Practice {
    settings: PracticeSettings;
    billingAddress: PracticeBillingAddress;
    settlement: {
        bankAccount: PracticeBankAccount;
    };
    staffIds: string[];
    practiceTypeIds: string[];
    status: string;
    showAddress: boolean;
    tz: string;
    billingNotificationEmails: string[];
    isSignedUp: boolean;
    isInstantQuotesEnabled: boolean;
    _id: string;
    fullName: string;
    displayName: string;
    mobile: string;
    email: string;
    lnglat: [number, number];
    gmapsPlaceId: string;
    address: string;
    addressPrefix?: string;
    countryCode: string;
    country: string;
    state: string;
    city: string;
    postcode: string;
    createdByProvider: string;
    subpremise: string | null;
    streetNumber: string;
    route: string;
    organisationId: string;
    replyToEmail: string;
    businessId: string;
    defaultBenefitPayees: string[];
    created: string;
    modified: string;
    locationId: string;
    _links: PracticeLinks;
}
export declare type ShortPracticeResponse = {
    tz: string;
    _id: string;
    fullName: string;
    displayName: string;
    mobile: string;
    email: string;
    lnglat: [number, number];
    gmapsPlaceId: string;
    address: string;
    addressPrefix?: string;
    countryCode: string;
    country: string;
    state: string;
    city: string;
    postcode: string;
    subpremise: string | null;
    streetNumber: string;
    route: string;
    mobileE164: string;
};
declare type PracticeSettings = {
    appointments: Record<string, any>;
    directory: PracticeSettingsDirectory;
    quotes: PracticeSettingsQuotes;
};
declare type PracticeSettingsDirectory = {
    searchEnabled: boolean;
};
declare type PracticeSettingsQuotes = {
    memberRequestQuotesEnabled: boolean;
};
declare type PracticeBillingAddress = {
    address: string;
    addressLine2?: string;
    city: string;
    postcode: string;
    state: string;
};
declare type PracticeBankAccount = {
    accountName: string;
    accountNumber: string;
    bankName: string;
    bsb: string;
};
declare type PracticeLinks = {
    self: Links;
    services: Links;
    staff: Links;
    tranasctions: Links;
};
declare type Links = {
    read?: string;
    update?: string;
    delete?: string;
};
export {};
