import type { PaginationMeta, PaginatedQuery } from './index';
/** START: Requests */
export declare type GetBusinessProductsQuery = PaginatedQuery;
/** START: Requests */
/** START: Responses */
export declare type ProductResponse = {
    _id: string;
    organisationId: string;
    fullName: string;
    displayName: string;
    description: string;
    defaultBilling: {
        currencyCode: string;
        frequency: string;
        amountFee: number;
        amountFeeString: string;
        amountCharged: number;
        amountChargedString: string;
        strategy: string;
    };
    features: Array<{
        fullName: string;
        displayName: string;
        description: string;
    }>;
    phasedOut: string;
    created: string;
    modified: string;
};
export declare type ProductsResponse = {
    meta: PaginationMeta;
    items: Array<ProductResponse>;
};
/** END: Responses */
