import type { ProviderNumberType, Practice, ProfessionalCategory, Specialty, Funder, ProviderRegistrationType } from 'types';
export interface ProviderSetItem {
    created?: string;
    defaultTerminal?: {
        merchantId: string;
        terminalId: string;
    };
    funderId?: string;
    healthFundOverrides: string[];
    healthpoint?: HealthPointAttributes;
    practiceId?: string;
    professionalCategoryId?: string;
    providerNumber: string;
    providerNumberTypeId?: string;
    specialtyIds?: string[];
    status: string;
    statusHistory?: string[];
    _id: string;
}
export interface ProviderSetItemRequestBody {
    funderId: string;
    practiceId?: string;
    professionalCategoryId: string;
    providerNumber: string;
    specialtyIds?: string[];
    hicaps?: HicapsProviderSetAttributes;
    healthpoint?: HealthPointAttributes;
}
export interface HicapsProviderSetAttributes {
    address?: string;
    addressPrefix?: string;
    city?: string;
    country?: string;
    postcode?: string;
    state?: string;
    lnglat?: string[];
    gmapsPlaceId?: string;
}
export declare type ParsedProviderSetItem = ProviderSetItem & {
    providerNumberType?: ProviderNumberType | undefined;
    funder: Funder | undefined;
    practice?: Practice;
    professionalCategory: ProfessionalCategory | undefined;
    specialties?: Specialty[];
    providerRegistrationType: ProviderRegistrationType | undefined;
};
export interface HealthPointAttributes {
    settlement: HealthPointSettlementAttributes;
    associationDetails: HealthPointAssociationAttributes;
    title: string;
}
export interface HealthPointSettlementAttributes {
    bankAccount: {
        accountName: string;
        accountNumber: string;
        bankName: string;
        bsb: string;
    };
}
export interface HealthPointAssociationAttributes {
    name: string;
    memberNumber: string;
    validFromString: string;
    validToString: string;
}
