import type { ProviderSetItem } from './provider-set-item';
export declare type StaffMember = {
    serviceIds: string[];
    practiceIds: string[];
    worksAtPracticeIds: string[];
    status: string;
    _id: string;
    firstName: string;
    lastName: string;
    email: string;
    inviteSent: boolean;
    isProvider: boolean;
    modified: string;
    merchantId?: string;
    created: string;
    organisationId: string;
    businessId: string;
    profilePictureUrl: string;
    providerSet: ProviderSetItem[];
    providerRegistrations: ProviderRegistration[];
    refId: string;
    refSource: string;
    hasAccount: boolean;
    staffType: 'person' | 'location';
    description: string;
    landline: string;
    mobile: string;
    _links: StaffLinks;
    idVerified: boolean;
    settlement?: {
        bankAccount?: {
            bankName: string;
            accountName: string;
            bsb: string;
            accountNumber: string;
        };
    };
    pendingEmail?: {
        email: string;
        created: string;
    };
    extraIds?: Array<{
        displayName: string;
        key: 'aged-care:registered-provider-id' | 'aged-care:proda-org-id' | 'aged-care:proda-device-name';
        value: string;
    }>;
};
declare type ProviderRegistration = {
    _id: string;
    specialtyIds?: string[];
    providerRegistrationTypeId: string;
    professionalCategoryId: string;
    providerNumber: string;
};
declare type StaffLinks = {
    self: Links;
    practices: Links;
    services: Links;
    staff: Links;
    transactions: Links;
    documents: Links;
    subscriptions: Links;
    paymentMethods: Links;
};
declare type Links = {
    read?: string;
    update?: string;
    delete?: string;
    updatePhoto?: string;
    deleteEmail?: string;
    changeEmail?: string;
};
export {};
