import type { PaginationMeta, PaginatedQuery } from './index';
/** START: Requests */
export declare type CreateBusinessSubscriptionBody = {
    productId: string;
    paymentMethodId: string;
};
export declare type UpdateBusinessSubscriptionBody = {
    paymentMethodId?: string;
    promotionCode?: string;
};
export declare type GetBusinessSubscriptionsQuery = PaginatedQuery & {
    excludeEnded?: boolean;
    excludeUpcoming?: boolean;
};
/** START: Requests */
/** START: Responses */
export declare type SubscriptionResponse = {
    _id: string;
    organisationId: string;
    businessId: string;
    product: {
        _id: string;
        fullName: string;
        displayName: string;
    };
    paymentMethod: {
        _id: string;
        methodType: string;
        source: string;
        cardType: string;
        lastFour: string;
    };
    promotion: {
        addedDate: string;
        code: string;
        startDate: string;
        endDate: string;
        description: string;
    };
    startDate: string;
    endDate: string;
    nextBillingDate: string;
    status: string;
    billing: {
        currencyCode: string;
        frequency: string;
        amountFee: number;
        amountFeeString: string;
        amountCharged: number;
        amountChargedString: string;
        amountDiscount: number;
        amountDiscountString: string;
        strategy: string;
    };
    created: string;
    modified: string;
};
export declare type SubscriptionsResponse = {
    meta: PaginationMeta;
    items: Array<SubscriptionResponse>;
};
/** END: Responses */
